1. Subaccounts
KuvarPay API
  • Overview
  • SDK Integration Guide
  • Webhooks Integration Guide
  • Subscriptions Guide
  • Split Payment Guide
  • Transactions
    • Calculate Payment Amount
      POST
    • Create Transaction
      POST
    • Get Transactions Details
      GET
    • Get Transactions
      GET
    • Update Status
      PATCH
    • Get Transaction Status by Reference
      GET
    • Simulate payment for sandbox transactions
      POST
    • Get detailed payment status for a transaction
      GET
    • Manually trigger refund for excess payment
      POST
    • Get list of expired transactions
      GET
  • Checkout Sessions
    • Arm Checkout Session
      PATCH
    • Payment Status Webhook
      POST
    • Cleanup Expired Sessions
      POST
    • Create Checkout Session
      POST
    • Get Checkout Session
      GET
    • Update Checkout Session
      PATCH
  • Transfer Fees
    • /api/v1/optimal-transfer-fee
      GET
  • Sandbox Simulator
    • Force Simulator Scenario
    • Force Transaction Status
  • Invoices
    • Create a new invoice
    • Send invoice email to customer
  • Payment Links
    • Create a new payment link
  • Server-Sent Events (SSE)
    • Get Transaction Details
    • Get Session Details
  • Subscriptions
    • Create Plans
    • Get Plans
    • Get Plans Details
    • Update Plans Details
    • Create Prices
    • Get Prices
    • Update Prices Details
    • Create Checkout Sessions
    • Get Checkout Sessions Details
    • Confirm Subscription Checkout
    • Create Subscriptions
    • Get Subscriptions
    • Get Subscriptions Details
    • Update Subscriptions Details
    • Delete Subscriptions Details
    • Renew Subscription
    • Confirm Subscription Cancellation
    • Create Subscription Invoices
    • Upgrade Subscription
    • Downgrade Subscription
    • Get Subscription Invoices
    • Create Metered Invoices
    • Renew Subscription Authorization
    • Get Subscription Invoices Details
    • Get Charge Attempts
    • Create Authorizations
    • Revoke Relay Authorization
    • Get Relay Authorization Status
  • Currencies
    • Get Subscription Currencies
    • Get Supported Currencies
    • Get networks supported for subscription payments
    • Get Currencies
    • Get all supported networks
  • Subaccounts
    • Create Subaccount
      POST
    • List Subaccounts
      GET
    • Get Subaccount Details
      GET
    • Update Subaccount
      PATCH
    • Delete Subaccount
      DELETE
  • Split Group
    • Create Split Group
    • List Split Groups
    • Get Split Group Details
    • Update Split Group
    • Delete Split Group
  • Schemas
    • ErrorResponse
    • CreateInvoiceRequest
    • CreatePaymentLinkRequest
    • InvoiceResponse
    • PaymentLinkResponse
    • CreateInvoiceResponse
    • CreatePaymentLinkResponse
    • SendInvoiceEmailRequest
    • SendInvoiceEmailResponse
    • SubscriptionInvoice
Home
Home
  1. Subaccounts

Update Subaccount

PATCH
/api/v1/subaccounts/{code}
Subaccounts
Update a subaccount and its linked settlement account details.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Default Response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/subaccounts/' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "business_name": "string",
    "settlement_bank": "string",
    "account_number": "string",
    "percentage_charge": 0,
    "account_name": "string",
    "currency": "string",
    "description": "string",
    "primary_contact_email": "user@example.com",
    "primary_contact_phone": "string",
    "metadata": {},
    "mobile_money_number": "string",
    "mobile_money_provider": "string"
}'
Response Response Example
{
    "status": true,
    "message": "string",
    "data": {
        "subaccount_code": "string",
        "business_name": "string",
        "account_number": "string",
        "settlement_bank": "string",
        "percentage_charge": 0,
        "currency": "string",
        "id": "string",
        "updated_at": "string"
    }
}
Modified at 2026-04-11 17:58:40
Previous
Get Subaccount Details
Next
Delete Subaccount
Built with